unit PlugInHeader;

interface

resourcestring
 PluginProcName = 'EventHandler'; //This MUST be the name of your event-handler proc in PlugIn and App

const
 //EventCodes for App -> Plugin
 evpInit         = 0;

 //EventCodes for PlugIn -> App

type
 { Required declarations }
 TEventProc = function(const EventCode : LongWord; const PluginID : Integer; Params : Pointer) : Pointer; stdcall;

 PluginPTR = ^PluginRec;
 PluginRec = Record
              Name     : String;
              ID       : Integer;
              Instance : Integer;
              Proc     : TEventProc;
             end;

 { User-defined data structures }

implementation

end.
